<!DOCTYPE html>
<html>
<head>
	<style type="text/css">
		P.SUBHEAD{font-weight: bold;}
	</style>
    <body>
    	<p><i>Science and Engineering Ethics (2001) 7, 231-238</i></p>
    	<hr>
    	<h1>Software Engineering Code of Ethics and Professional Practice</h1>
    	<h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethcis and Professionals Practices</h3>
    	<hr>
    	<p><b>Keywords</b>: code of ethics, professionals responsibility, software engineering</p>
    	<p class="SUBHEAD">PREAMBLE</p>
    	<p>The short version of the code summarizes aspirations at high level of abstraction. The clauses that are included in full version give examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details the aspirations can become high-sounding but empty; together, the aspirations and the details form a cohesive code.
    	<p class="SUBHEAD">PRINCIPLES</p>
    	<p> <br>1. <i>Public.</i>Software engineers shall act consistently with the public interest.
    	    <br>2.<i>Client and employer.</i>Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with the public interest.
    	    <br>3.<i>Poduct.</i>Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.
    	    <br>4.<i>Judgment.</i>Software engineers shall maintain integrity and indipendence in their professional judgment.
    	    <br>5.<i>Management.</i>Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.
    	    <br>6.<i>Profession.</i>Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.
    	    <br>7.<i>Colleagues.</i>Software engineers shall be fair to and supportive of their colleagues.
    	    <br>8.<i>Self.</i>Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</p>
    </body>
</head>
